<?php
	//Connects to your Database
	include "../db_connection/db_connection.php";
	include "../config/config.php";		
	$page_id	=	base64_decode(base64_decode(base64_decode($_GET['page_id']))); //THIS IS PAGE ID  
	                  
	//cat_name,d_no,hdes_name,imgInp
if($page_id==1) //this is for basic details add page	
{ 		
		$hdes_name	=	base64_decode(base64_decode(base64_decode(base64_decode($_POST['hdes_name']))));
		//$hdes_name	=	$_POST['hdes_name'];
		$lob		=	$_POST['lob'];
		$lob		= 	str_replace("/", "-", $lob);
		
		$INSRT		= "INSERT INTO buf_finishing(`emp_det_id`, `finishing_date`, `post_dt`) VALUES('$hdes_name','$lob','$cur_time')";		
		$QURY		= mysqli_query($connect,$INSRT);
		
		$SLCT_sk = "SELECT  MAX(buf_finishing_id) as max_ids FROM buf_finishing ORDER BY buf_finishing_id ASC";
		$QURY_sk = mysqli_query($connect,$SLCT_sk);  
		$FTCH_sk = mysqli_fetch_object($QURY_sk);
		$max_id = $FTCH_sk->max_ids;
		
		foreach($_POST['category'] as $cat_id)
		{		
			$lod_wt = $_POST['lod_wt'][$cat_id];
			$fin_wt = $_POST['fin_wt'][$cat_id];
			$wst_wt = $_POST['wst_wt'][$cat_id];
						
			$INSRT_d	= "INSERT INTO buf_finishing_des(`buf_finishing_id`, `design_det_id`, `load_weight`, `finish_weight`, `wastage`, `post_dt`) VALUES('$max_id','$cat_id','$lod_wt','$fin_wt','$wst_wt','$cur_time')";		
			$QURY_d		= mysqli_query($connect,$INSRT_d);
			
			//THI IS FOR UPDATING THE DESIGN STATUS
			$UPDATE = "UPDATE design_det SET design_status = 'In Buffing Finishing',update_dt = '$cur_time' WHERE design_det_id = '$cat_id'";
			$QRY    = mysqli_query($connect,$UPDATE); 
			
			//THI IS FOR UPDATING THE CAD LOADING STATUS
			$UPDATE_cd = "UPDATE buf_loading SET buf_status = 'yes',update_dt = '$cur_time' WHERE design_det_id = '$cat_id'";
			$QRY_cd    = mysqli_query($connect,$UPDATE_cd); 	
		
		}
		
?>
		<script type="text/javascript">
            //alert("Data inserted successfully");
            //history.back();
            window.location='../buf_finishing_list.php';
        </script>
<?php
}
?>
	
